<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<script language="javascript">
	function cfmchoice(){
		w=prompt("Write Name: ");
		alert(w+", Do you want to visit google?");
	}
</script>

</head>

<body>
	<input type="button" value="Who?" onclick="cfmchoice()" />
    <a href="http://www.google.com" onclick="cfmchoice(); return true;">Go to Google</a>
</body>
</html>
